//
//  GCLoactionServiceManager.h
//  FengDu
//
//  Created by XC0621 on 2016/12/15.
//  Copyright © 2016年 Bge. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

typedef NS_ENUM(NSUInteger, LocationResult) {
    LocationCancel = 1,//取消定位
    LocationFailure= 2,//定位失败
    LocationSuccess = 3,//定位成功
};

typedef void(^LocationServiceSuccess)(float locationlat,float locationlng);
typedef void(^LocationServiceError)(NSUInteger errorCode);

@interface GCLoactionServiceManager : NSObject
+ (nonnull instancetype)sharedInstance;//实例化
- (void) initGcLocationServiceManager;//定位管理
- (void) startLocationService;//开始定位
- (void) showAlertView;//显示提示框
//判断本地定位服务是否可用 如可用返回当前位置的经纬度 如不可用返回不可用的error
- (void)getLoctionServiceWithLocationSuccess:(nullable LocationServiceSuccess)success Error:(nullable LocationServiceError)error;

@end
